// Test code from https://lastminuteengineers.com/drv8825-stepper-motor-driver-arduino-tutorial/

// Define pin connections & motor's steps per revolution
const int dirPin = 22;
const int stepPin = 23;
const int stepSpeed = 1700;
const int stepsPerRevolution = 200;

void setup()
{
  // Declare pins as Outputs
  pinMode(stepPin, OUTPUT);
  pinMode(dirPin, OUTPUT);
    Serial.begin(115200); 
    
}
void loop()
{
  // Set motor direction clockwise
  digitalWrite(dirPin, HIGH);
  Serial.println("dirPin High");
  delayMicroseconds(500);

  // Spin motor slowly
  for(int x = 0; x < stepsPerRevolution; x++)
  {
    digitalWrite(stepPin, HIGH);
    delayMicroseconds(stepSpeed);
    digitalWrite(stepPin, LOW);
    delayMicroseconds(stepSpeed );

  }
  delay(1000); // Wait a second
  
  // Set motor direction counterclockwise
  digitalWrite(dirPin, LOW);
  Serial.println("dirPin Low");
  delayMicroseconds(500);

  // Spin motor quickly
  for(int x = 0; x < stepsPerRevolution; x++)
  {
    digitalWrite(stepPin, HIGH);
    delayMicroseconds(stepSpeed);
    digitalWrite(stepPin, LOW);
    delayMicroseconds(stepSpeed);
    
  }
  delay(1000); // Wait a second
}
